Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Registry::Binding Struct Reference

`#include <Registry.h>`

Collaboration diagram for ACE_Registry::Binding:

[legend]
List of all members.

## Public Methods
| Binding (void)
| Empty (default) constructor.
| Binding (const Name &binding_name, Binding_Type binding_type)
| Binding (const ACE_TString &binding_name, Binding_Type binding_type)
int | operator== (const Binding &rhs) const
int | operator!= (const Binding &rhs) const
void | name (Name &name)
void | name (ACE_TString &name)
| Set Name (String version).
ACE_TString | name (void)
| Get Name (String version).
Binding_Type | type (void)
| Type accessor.
## Private Attributes
ACE_TString | name_
| A binding has a name.
Binding_Type | type_
| .... and a type

## Constructor & Destructor Documentation

ACE_Registry::Binding::Binding | ( | void |  | ) |

| Empty (default) constructor.

ACE_Registry::Binding::Binding | ( | const Name & | binding_name,
|  | Binding_Type | binding_type
| ) |

| Constructor (Name version)

ACE_Registry::Binding::Binding | ( | const ACE_TString & | binding_name,
|  | Binding_Type | binding_type
| ) |

| Constructor (String version)

## Member Function Documentation

ACE_TString ACE_Registry::Binding::name | ( | void |  | ) |

| Get Name (String version).

void ACE_Registry::Binding::name | ( | ACE_TString & | name | ) |

| Set Name (String version).

void ACE_Registry::Binding::name | ( | Name & | name | ) |

| Name accessor (Name version)

int ACE_Registry::Binding::operator!= | ( | const Binding & | rhs | ) | const

int ACE_Registry::Binding::operator== | ( | const Binding & | rhs | ) | const

ACE_Registry::Binding_Type ACE_Registry::Binding::type | ( | void |  | ) |

| Type accessor.

## Member Data Documentation

ACE_TString ACE_Registry::Binding::name_`[private]`

| A binding has a name.

Binding_Type ACE_Registry::Binding::type_`[private]`

| .... and a type

The documentation for this struct was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Registry.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Registry.cpp